<?php
namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;

class GpeRacapessoaEntity extends TkEntity
{


    private $_nrOrg;
    private $_nrOrgPadrao;

    public function __construct($entityManager, $hcmParameters){ 
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;

        $this->_nrOrg = $this->hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $this->hcmParameters->getNrorgPadrao();
        parent::__construct(null, $entityManager);
    }


    /**
     * retorna uma instancia de Grau de Instrucao de acordo com o codigo informado
     *
     * @param integer $nrRacaPessoa Numero da Raca Pessoa.
     *
     * @return GpeRacapessoaEntity
     *
     * @author thalesvalias - 24/05/2012
     */
    public function retornaRacaPessoaPorCodigo($nrRacaPessoa) {
        return $this->entityManager->getRepository(Repositories::GPE_RACAPESSOA)->retornaRacaPessoaPorCodigo(
                $this->_nrOrg, $this->_nrOrgPadrao, $nrRacaPessoa
            );
    }


}
