<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Repositories;
use HCM\Geral\Repository\ParametrosOrganizacaoRepository;



class ParametrosOrganizacaoService {
    
    protected $entityManager;
    protected $hcmParameters;
    protected $parametrosOrganizacaoRepository;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, ParametrosOrganizacaoRepository $parametrosOrganizacaoRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->parametrosOrganizacaoRepository = $parametrosOrganizacaoRepository;
    
    }
 
    public function setApiKey($apiKey, $nrorg)
    {
        $existeApiKey = $this->parametrosOrganizacaoRepository->getOrganizacao($nrorg);
        
        if(!$existeApiKey[0]['DSFSAPIKEY']){
            if(!empty($apiKey)){
                $updateApiKey = $this->parametrosOrganizacaoRepository->updateApiKey($nrorg, $apiKey);
            } else{
                $updateApiKey = null;
            }
        return $updateApiKey;
        }
    
    }
    public function setClientSecret($clientSecret, $nrorg)
    {
        $existeClientSecret = $this->parametrosOrganizacaoRepository->getOrganizacao($nrorg);
        
        if(!$existeClientSecret[0]['CLIENT_SECRET']){
            if(!empty($clientSecret)){
                $updateClientSecret = $this->parametrosOrganizacaoRepository->updateClientSecret($nrorg, $clientSecret);
            } else{
                $updateClientSecret = null;
            }
        return $updateClientSecret;
        }
    
    }
}