<?php

namespace HCM\PTO\Logic\AFD\Portaria671;

/**
 * Portaria 671
 * Exportador AFD. Gera os registros a partir de um layout definido
 * 
 */

use HCM\PTO\Logic\AFD\Layout as LayoutAFD;
use HCM\PTO\Logic\AFD\Exportador as ExportadorAFD;
use HCM\PTO\Logic\AFD\Parametros;
use HCM\Util\Util;

class Exportador extends ExportadorAFD {
    public function __construct(Parametros $parametros) {
        parent::__construct(Util::getEntityManager(), $parametros, new GeradorNomeArquivo(Util::getEntityManager(), $parametros));
        $this->layout = new Layout(Util::getEntityManager(), $this->getParametros());
    }
    /**
     * Portaria 671
     * Gera o conteudo do arquivo a partir de um layout especifico
     * @return string
     */
    public function gerarConteudoArquivo(): string {
        return $this->layout->gerar();
    }
}